package cn.com.countrygarden.bi.main.dao.performance;

import cn.com.countrygarden.bi.main.model.performance.PerformanceWeight;

/**
 * 绩效指标权重
 *
 * @author Max Date:2018/10/10
 * @version 1.0
 * @since 1.8
 */
public interface PerformanceWeightMapper {
    int deleteByPrimaryKey(Long weightId);

    int insertSelective(PerformanceWeight record);

    PerformanceWeight selectByPrimaryKey(Long weightId);

    int updateByPrimaryKeySelective(PerformanceWeight record);

    //获得唯一的权重对象
    PerformanceWeight getSelective(PerformanceWeight performanceWeight);
}